use wasm_bindgen::prelude::*;

#[wasm_bindgen]
pub fn our_malloc (len: i32) -> i32 {
	let mut v: Vec <u8> = Vec::with_capacity (len as usize);
	let ptr = v.as_mut_ptr ();
	std::mem::forget (v);
	ptr as i32
}

#[wasm_bindgen]
pub fn parse_string (s: &str) -> f64 {
	let val: serde_json::Value = serde_json::from_str (s).unwrap ();
	let val = val.get ("bogus").unwrap ();
	match val {
		serde_json::Value::Number (x) => x.as_f64 ().unwrap (),
		_ => panic! ("bogus isn't a number"),
	}
}
